
#include "spi.h"

void LIS_SPI_Init ()
{

	LIS_SPI_Disable();
	
	//SPI Port konfigurieren
	LIS_SPI_Port |= (1<<LIS_SPI_Chip_Select);			//Setzt den Pin MMC_Chip_Select auf High Pegel
	LIS_SPI_DDR |= (1<<LIS_SPI_Clock);					//Setzen von Pin MMC_Clock auf Output
	LIS_SPI_Port |= (1<<LIS_SPI_Clock);

	LIS_SPI_DDR |= (1<<LIS_SPI_D);						//Setzen von Pin MMC_DO auf Output
	LIS_SPI_DDR |= (1<<LIS_SPI_Chip_Select);			//Setzen von Pin MMC_Chip_Select auf Output
	
}


unsigned char LIS_SPI_GetChar ()
{
	unsigned char byte = 0;

	LIS_SPI_DDR &= ~(1<<LIS_SPI_D);

	for (unsigned char i = 8; i > 0; i--) //das Byte wird Bitweise nacheinander Empangen, MSB First
	{
		LIS_SPI_Port &= ~(1<<LIS_SPI_Clock); //negative Flanke auf der CLK Leitung erzeugen
		
		nop();
			
		if (bit_is_set(LIS_SPI_Pin,LIS_SPI_D) > 0) //Lesen des Pegels von MMC_DI
		{
			byte |= (1<<(i-1));
		}
		else
		{
			byte &=~(1<<(i-1));
		}

		LIS_SPI_Port |= (1<<LIS_SPI_Clock); //CLK wieder auf high setzen	
	}

	return (byte);
}


void LIS_SPI_PutChar (unsigned char byte)
{
	LIS_SPI_DDR |= (1<<LIS_SPI_D);

	for (unsigned char i = 8; i > 0; i--) //das Byte wird Bitweise nacheinander Gesendet MSB First
	{
		if (bit_is_set(byte,(i-1)) > 0)	//muss 1 oder 0 gesendet werden?
		{
			LIS_SPI_Port |= (1<<LIS_SPI_D); //D auf high
		}
		else
		{
			LIS_SPI_Port &= ~(1<<LIS_SPI_D); //D auf low
		}
		
		/*for(unsigned char a=0;a<200;a++)
		{
			nop();
		}*/

		LIS_SPI_Port &= ~(1<<LIS_SPI_Clock);	//negative Flanke auf der CLK Leitung erzeugen
		
		/*for(unsigned char a=0;a<200;a++)
		{
			nop();
		}*/

		LIS_SPI_Port |= (1<<LIS_SPI_Clock); //CLK wieder auf high setzen
	}
	LIS_SPI_Port |= (1<<LIS_SPI_D);	//fertig, D auf high

}
