
#ifndef _soft_spi_h
#define _soft_spi_h

#include <avr/io.h>

#define LIS_SPI_Port			PORTA	//Port des SPI
#define LIS_SPI_Pin				PINA
#define LIS_SPI_DDR				DDRA	

#define LIS_SPI_D				0		//data des SPI 
#define LIS_SPI_Clock			1		//SCK
#define LIS_SPI_Chip_Select		2		//SS

void LIS_SPI_Init ();
unsigned char LIS_SPI_GetChar ();
void LIS_SPI_PutChar (unsigned char byte);

//setze SS auf High 
#define LIS_SPI_Disable() LIS_SPI_Port |= (1<<LIS_SPI_Chip_Select);

//setze SS auf Low  
#define LIS_SPI_Enable() LIS_SPI_Port &= ~(1<<LIS_SPI_Chip_Select);



#define nop()  __asm__ __volatile__ ("nop" ::)

#endif // _soft_spi_h
